Nativescript-geolocation warning


#1

I am seeing the following warning in my console on both iOS and Android;

CONSOLE WARN file:///app/tns_modules/nativescript-geolocation/nativescript-geolocation.js:12:14: The TypeScript constructor “LocationListenerImpl” will not be executed.

Lines 12-14 looks to be the constructor for LocationListenerImpl

__extends(LocationListenerImpl, _super);
function LocationListenerImpl() {
return _super.apply(this, arguments) || this;
}

My app is tracking location, so not sure what is going on here. Any ideas folks?


#2

That’s strange to see something like that when running the app. I don’t recall seeing any logs like that when I used geolocation, though that has been a couple months.